<?php

namespace App\Modules\Admin\Controllers\Admin;

use App\Base\BaseController;
use App\Models\Auth\AdminGroup;
use App\Models\Auth\AdminPermission;
use App\Modules\Admin\Services\SettingService;

class CommonController extends BaseController
{
    public function groupMap()
    {
        $group = AdminGroup::all();

        return $this->ok([
            "list" => $group->map(function (AdminGroup $m) {
                return [
                    "id" => $m->id,
                    "name" => $m->name,
                ];
            }),
        ]);
    }

    public function permissionMap()
    {
        $all = AdminPermission::all();
        return $this->ok([
            "list" => $all->map(function (AdminPermission $m) {
                return [
                    "id" => $m->id,
                    "name" => $m->name,
                ];
            }),
        ]);
    }

    public function settingMap()
    {
        return $this->ok(
            app(SettingService::class)->settingMap(),
        );
    }

    public function settingSave()
    {
        $data = request()->validate([
            "hot_keywords.id" => "required",
            "hot_keywords.values" => "array",
        ]);

        return $this->ok(app(SettingService::class)->settingSave($data));
    }

    public function allSpec()
    {
        return $this->ok([
            "list" => [
                [
                    "id" => 1,
                    "name" => "名称",
                    "attr_name" => ["红色", "白色"],
                ],
            ],
        ]);
    }

    public function allCategory()
    {
        return $this->ok([
            "list" => [
                [
                    "id" => 1,
                    "name" => "分类名称",
                    "level" => 1,
                    "parent_id" => 0,
                    "parent_name" => "",
                ],
                [
                    "id" => 2,
                    "name" => "二级分类名称",
                    "level" => 2,
                    "parent_id" => 1,
                    "parent_name" => "上级分类",
                ],
            ],
        ]);
    }
}
